# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/ipmi/aspeed,ast2400-ibt-bmc.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Aspeed Block Transfer (BT) IPMI interface

maintainers:
  - Joel Stanley <joel@jms.id.au>

properties:
  compatible:
    enum:
      - aspeed,ast2400-ibt-bmc
      - aspeed,ast2500-ibt-bmc
      - aspeed,ast2600-ibt-bmc

  reg:
    maxItems: 1

  clocks:
    maxItems: 1

  interrupts:
    maxItems: 1

required:
  - compatible
  - reg
  - clocks

additionalProperties: false

examples:
  - |
    #include <dt-bindings/clock/aspeed-clock.h>

    bt@1e789140 {
        compatible = "aspeed,ast2400-ibt-bmc";
        reg = <0x1e789140 0x18>;
        interrupts = <8>;
        clocks = <&syscon ASPEED_CLK_GATE_LCLK>;
    };
